Summary:	FAX4CUPS - Fax modem as CUPS printer
Name:		fax4CUPS
Version:	1.12
Release:	1mdk
License:	GPL
Group:		Communications

Source:		http://gongolo.usr.dsi.unimi.it/~vigna/fax4CUPS/%{name}-%{version}.tar.bz2
Url:		http://gongolo.usr.dsi.unimi.it/~vigna/fax4CUPS/
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	cups efax

%description

A very simple GPL'd shell script that acts as a backend for a serial
faxmodem. Essentially, you print with lpr and the fax is sent. The
nice thing is that you have CUPS around, and this means, for instance,
that you can check whether your fax has been sent just using your
favorite browser (as you would do for any other printer), even if the
faxmodem is really on a remote server. There is also a companion PPD
file that allows to set several options from CUPS web interface.

%prep

%setup -q

# Configure the fax backend script for the current efax package
perl -p -i -e 's!CONFIG=\"/etc/sysconfig/fax\"!CONFIG=\"/etc/fax.config\"!' fax
# Use Letter as default page size, as it is the case with every printer
perl -p -i -e 's!PAGE=a4!PAGE=letter!' fax
perl -p -i -e 's!\*DefaultPageSize: A4!\*DefaultPageSize: Letter!' fax.ppd

%build

# Nothing to build

%install

install -d %buildroot%{_mandir}/man1/
install -m 644 fax4CUPS.1 %buildroot%{_mandir}/man1/
install -d %buildroot%{_libdir}/cups/backend/
install -m 755 fax %buildroot%{_libdir}/cups/backend/
install -d %buildroot%{_datadir}/cups/model/
install -m 644 fax.ppd %buildroot%{_datadir}/cups/model/
install -d %buildroot/var/log/fax

%post
# Restart the CUPS daemon to refresh the database
! ( lpstat -r 1> /dev/null 2>&1 ) || (
  %{_initrddir}/cups stop 1> /dev/null 2>&1
  %{_initrddir}/cups start 1> /dev/null 2>&1
)

%postun
if [ "$1" = 0 ]; then
 
        # Restart the CUPS daemon to refresh the database
        ! ( lpstat -r 1> /dev/null 2>&1 ) || (
            %{_initrddir}/cups stop 1> /dev/null 2>&1
            %{_initrddir}/cups start 1> /dev/null 2>&1
        )
fi

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc INSTALL
%{_mandir}/man1/*
%{_libdir}/cups/backend/*
%{_datadir}/cups/model/*
/var/log/fax

%changelog
* Thu Aug 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.12-1mdk
- initial release.
